Skip to main content
`Ctrl`+`K`

# EPSAllocateSolution

Allocate memory storage for common variables such as eigenvalues and eigenvectors.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSAllocateSolution(EPS eps,PetscInt extra)

Collective

## Input Parameters

- eps - the linear eigensolver context

- extra - number of additional positions, used for methods that require a working basis slightly larger than `ncv`

## Developer Note

This is `SLEPC_EXTERN` because it may be required by user plugin `EPS` implementations.

## See Also

EPS: Eigenvalue Problem Solver, `EPSSetUp()`, `EPSSetDimensions()`

## Level

developer

## Location

src/eps/interface/epssetup.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages